Subject: [manet] Research Ideas

From: "gokina " <[email-masked]>
Date: 29 Oct 2004 13:28:19 -0000

Hi,
 I am doing research Independently in Mobile Ad-hoc Networks and in Sensor Networks. I have some doubts in some of the research topics in these fields. 

1. I have read some publications about trust management in Peer-to-Peer networks. The concept of trust has been extended to Mobile Ad-hoc Networks. In P2P networks the nodes are stationary where as in the second case the nodes can move. Assume that the trust management is not centralized but distributed across the network. Each node maintains trust information about the nodes which are in it's interest. Now, suppose one node is found guilty. The nodes in its surroundings can know about this. Immediately after the node is found guilty, this particular node can travel long distance where the nodes are not aware of his behaviour. I want to know if the existing publications take care of this kind of situation. 

2.  Is it possible to extend the concept of trust to Sensor Networks. Since, Security is also an aspect of Sensor Networks, Is there any mechanism so that one Sensor can choose the routing path that has trusted Sensors. 

3. In Peer-to-Peer Networks there is a concept of Super Nodes. In this they exploit the property that some nodes are more powerful than other nodes. To the best of my knowledge, that main problem in Sensor Networks is energy. Is it realistic, if we assume that some nodes in Sensor Networks are more powerful than others and handle most of the traffic on the behalf other nodes which are less powerful. Will it be realistic, if we assume that these powerful nodes have no energy constraints. I mean can there be a situation where some of the Sensors in the Sensor Network have continuous power supply.

I think if these assumptions are realistic, then there is a possibiltiy of giving new direction to research in Sensor Networks. I am not sure, if this can be done. I request the members in this group to clarify my ideas and if possible, kindly give me some references.

Looking forward for your reply,
Gokina.

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet